=== shMapper by Teplitsa ===
Contributors: Genagl, Ahaenor, denis.cherniatev, burdianov, teplosup
Author URI: https://te-st.ru/
Plugin URI: http://genagl.ru/?p=652
Tags: map, OpenStreetMap, OSM, yandex.map, crowdsourcing, карта, Яндекс.карты, картирование, mapping, crowdsourced mapping, user mapping
Requires at least: 5.0
Tested up to: 5.7
Requires PHP: 5.6
Stable tag: trunk
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

shMapper is a plugin, that allows you to create simple crowdsourcing maps based on OpenStreetMap and Yandex.Maps.

== Description ==

The shMapper plugin allows you to create simple crowdsourcing maps on OpenStreetMap with an option of feedback messages form. This plugin gives you an alternative to current online map services such as Yandex.Maps, Google Maps etc which don’t provide the option for users to add new objects.

Most of the code written by Gennadiy Glazunov aka [Genagl](http://genagl.ru)

**Core features**

* Configure and display maps with markers on pages.
* Display maps using shortcodes.
* Receive new map markers via feedback form.
* Pre or post-moderation of new markers.
* reCaptcha form protection.
* Custom markers icons.

PHP at least 5.6 is required for plugin to work correctly.

**Help the project**

We will be very grateful if you will help us to make ShMapper better.

* You can add a bugreport or a feature request on [GitHub](https://github.com/Teplitsa/shmapper/issues).
* Send us your pull request to share a code impovement.
* You can make a new plugin translation for your language or send us a fixes for an existing translation, if needed.

If you have a questions for the plugin work in any aspect, please address our support service on [GitHub](https://github.com/Teplitsa/shmapper/issues).

== Installation ==

PHP version required: 5.6+

== Upgrade Notice ==

No upgrade needed yet.

== Frequently Asked Questions ==

No questions yet.

== Screenshots ==

1.  Edit map form example
2.  Map and feedback form example

== Changelog ==


= 1.4.1 =
* Added: Support for importing data from Google Sheets.
* Added: Highlighting the country on the map.
* Fix: Unauthorized users could drag and drop markers on the map.

= 1.3.6 =
* WordPress 5.5 compatibility.

= 1.3.3 =
* Textdomain load forced.

= 1.3.2 =
* Marker placement by address added.
* Marker placement by click added.
* Minor fixes.

= 1.3.1 =
* Marker placement for OSM fixed.
* Map selector fixed in widget. 
* Map selector fixed in map-request edit form.

= 1.3 =
* Layer switcher for OSM fixed.
* Map owner email notification about new map requests fixed. 
* Display of marker clouds content fixed.

= 1.2 =
* Post-moderation of markers fixed for forms with enabled reCaptcha.
* Marker setup fixed for mobile screens.
* Other minor fixes.

= 1.1 =
* Pre-moderation of markers fixed.
* Other minor fixes.

= 1.0 =
* First official release!
